%define anolis_release 2
Name:		jbig2dec
Version:	0.20
Release:	%{anolis_release}%{?dist}
Summary:	A decoder implementation of the JBIG2 image compression format 
License:	AGPLv3+
URL:		http://jbig2dec.sourceforge.net/
Source0:	https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs9530/%{name}-%{version}.tar.gz

Patch1: 1-bugfix-for-CVE-2023-46361.patch
Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  make

%description
JBIG2dec is a free and open-source software that is used to decode and
render JBIG2 (Joint Bi-level Image Experts Group) compressed images. JBIG2
is a standard for image compression developed by the International Organization
for Standardization (ISO) and International Electrotechnical Commission (IEC).
JBIG2 compression is designed for bi-level (black and white) images and is used
in applications such as fax machines, scanners, and document imaging.

JBIG2dec is written in C and can be used on a variety of platforms including
Windows, Linux, and macOS. The software includes a command-line tool for
decoding JBIG2 images and a library that can be used to integrate JBIG2
decoding into other software applications.

When a JBIG2-encoded image is decoded by JBIG2dec, the software first reads
the JBIG2 file header to determine the image size, resolution, and how the
image is compressed. JBIG2 supports several compression techniques such as MMR
(Modified Modified Read), arithmetic coding, and Huffman coding. JBIG2dec is
capable of decoding all of these techniques.

Once the compression method is determined, JBIG2dec decodes the image data
into a bitmap image. The bitmap image can then be displayed on a computer
screen or printed. JBIG2dec also supports several output file formats such
as TIFF and PDF.

JBIG2dec is a useful tool for anyone who works with bi-level images, such as
scanned documents or faxes. By using JBIG2 compression, these images can be
stored in a smaller file size without compromising image quality. JBIG2dec
makes it easy to decode and render these compressed images, making them
accessible for viewing and printing.

%package libs 
Summary:	A decoder implementation of the JBIG2 image compression format

%description libs 
This package provides the shared jbig2dec library.

%package devel
Summary:	Static library and header files for development with jbig2dec
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{EVR}

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%{_bindir}/jbig2dec
%{_mandir}/man1/jbig2dec.1*

%files devel
%{_includedir}/jbig2.h
%{_libdir}/libjbig2dec.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING LICENSE
%{_libdir}/libjbig2dec.so.*

%files doc
%doc CHANGES README

%changelog
* Thu Jul 03 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 0.20-2
- Fix CVE-2023-46361

* Fri Feb 21 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.20-1
- update to 0.20 from 0.19

* Thu Dec 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.19-9
- rebuild

* Thu Apr 13 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.19-8
- Update some description

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 0.19-7
- Import package for anolis 23
